#
# spec file for package libnetfilter_conntrack
#
# Copyright (c) 2022-2023 ZhuningOS
#


Name:           libnetfilter_conntrack
%define lname	libnetfilter_conntrack3
Version:        1.0.7
Release:        1.38
Url:            http://netfilter.org/projects/libnetfilter_conntrack/
Summary:        Userspace library for the in-kernel connection tracking state table
License:        GPL-2.0-or-later
Group:          Productivity/Networking/Security

#Git-Clone:	git://git.netfilter.org/libnetfilter_conntrack
Source:         ftp://ftp.netfilter.org/pub/libnetfilter_conntrack/%name-%version.tar.bz2
Source2:        ftp://ftp.netfilter.org/pub/libnetfilter_conntrack/%name-%version.tar.bz2.sig
Source3:        baselibs.conf
Source4:        %name.keyring
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#git#BuildRequires:  autoconf, automake >= 1.6, libtool
BuildRequires:  pkgconfig >= 0.21
BuildRequires:  pkgconfig(libmnl) >= 1.0.3
BuildRequires:  pkgconfig(libnfnetlink) >= 1.0.0

%description
libnetfilter_conntrack is a userspace library providing a programming
interface (API) to the in-kernel connection tracking state table. The
library libnetfilter_conntrack has been previously known as
libnfnetlink_conntrack and libctnetlink. This library is currently
used by conntrack-tools among many other applications.

%package -n %lname
Summary:        Userspace library for the in-kernel connection tracking state table
Group:          System/Libraries

%description -n %lname
libnetfilter_conntrack is a userspace library providing a programming
interface (API) to the in-kernel connection tracking state table. The
library libnetfilter_conntrack has been previously known as
libnfnetlink_conntrack and libctnetlink. This library is currently
used by conntrack-tools among many other applications.

%package devel
Summary:        Userspace library for the in-kernel connection tracking state table
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
libnetfilter_conntrack is a userspace library providing a programming
interface (API) to the in-kernel connection tracking state table. The
library libnetfilter_conntrack has been previously known as
libnfnetlink_conntrack and libctnetlink. This library is currently
used by conntrack-tools among many other applications.

%prep
%setup -q

%build
%configure --disable-static --includedir="%_includedir/%name"
make %{?_smp_mflags}

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libnetfilter_conntrack.so.3*

%files devel
%defattr(-,root,root)
%_includedir/%name/
%_libdir/libnetfilter_conntrack.so
%_libdir/pkgconfig/libnetfilter_conntrack.pc

%changelog
